## golang-github-multiformats-go-multibase 0.2.0

=== debian/changelog ===
golang-github-multiformats-go-multibase (0.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #1111334)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 16 Aug 2025 18:50:56 -0400
