=== debian/control ===
Source: golang-github-multiformats-go-multibase
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Reinhard Tartler <siretart@tauware.de>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-mr-tron-base58-dev,
 golang-github-multiformats-go-base32-dev,
 golang-github-multiformats-go-base36-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-multiformats-go-multibase
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-multiformats-go-multibase.git
Homepage: https://github.com/multiformats/go-multibase
XS-Go-Import-Path: github.com/multiformats/go-multibase

Package: multibase-conv
Depends:
 ${misc:Depends},
Architecture: any
Description: Go implementation of Multibase (self‑identifying encodings)
 go-multibase is a small, idiomatic Go library that implements the
 Multibase specification for self‑identifying base encodings.  It
 provides helpers to encode and decode byte sequences with the
 multibase prefix convention, detect the base used from an encoded
 string, and work with the set of encodings defined by the
 multiformats project (for example base58, base32, base64, and others).
 .
 This package is ships the multibase-conv executable for conversions
 on the command-line

Package: golang-github-multiformats-go-multibase-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-mr-tron-base58-dev,
 golang-github-multiformats-go-base32-dev,
 golang-github-multiformats-go-base36-dev,
 ${misc:Depends},
Description: Go implementation of Multibase (self‑identifying encodings)
 go-multibase is a small, idiomatic Go library that implements the
 Multibase specification for self‑identifying base encodings.  It
 provides helpers to encode and decode byte sequences with the
 multibase prefix convention, detect the base used from an encoded
 string, and work with the set of encodings defined by the
 multiformats project (for example base58, base32, base64, and others).
 .
 This package is intended for programs and libraries that require
 interoperable, self‑describing encodings - for example IPFS, libp2p,
 content‑addressed systems, and other multiformats‑based tooling.  It
 is distributed under the MIT license and is provided as a Go module
 with import path github.com/multiformats/go-multibase.
 .
 Features:
  - Encode and decode byte sequences using multibase prefixes.
  - Detect encoding from the multibase prefix and perform strict parsing.
  - Support for the common multibase encodings used across the
    multiformats ecosystem.
  - Small, dependency‑light, and suitable for inclusion in other Go
    projects and downstream Debian packages.
